The Synthesis ToolKit in C++ (STK)

Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Sampler Class Reference

STK sampling synthesis abstract base class. More...

`#include <Sampler.h>`

Inheritance diagram for stk::Sampler:

List of all members.

## Public Member Functions
| Sampler (void)
| Default constructor.
virtual | ~Sampler (void)
| Class destructor.
void | clear (void)
| Reset and clear all internal state.
virtual void | setFrequency (StkFloat frequency)=0
| Set instrument parameters for a particular frequency.
void | keyOn (void)
| Initiate the envelopes with a key-on event and reset the attack waves.
void | keyOff (void)
| Signal a key-off event to the envelopes.
virtual void | noteOff (StkFloat amplitude)
| Stop a note with the given amplitude (speed of decay).
virtual void | controlChange (int number, StkFloat value)=0
| Perform the control change specified by number and value (0.0 - 128.0).
virtual StkFloat | tick (unsigned int channel=0)=0
| Compute and return one output sample.
virtual StkFrames & | tick (StkFrames &frames, unsigned int channel=0)=0
| Fill a channel of the StkFrames object with computed outputs.

## Detailed Description

STK sampling synthesis abstract base class.

This instrument provides an ADSR envelope, a one-pole filter, and structures for an arbitrary number of attack and looped files.

by Perry R. Cook and Gary P. Scavone, 1995-2012.

## Member Function Documentation

virtual StkFrames& stk::Sampler::tick | ( | StkFrames & | frames,
|  | unsigned int | channel = `0` |
| ) |  |  | `[pure virtual]`

Fill a channel of the StkFrames object with computed outputs.

The `channel` argument must be less than the number of channels in the StkFrames argument (the first channel is specified by 0). However, range checking is only performed if _STK_DEBUG_ is defined during compilation, in which case an out-of-range value will trigger an StkError exception.

Implements stk::Instrmnt.

Implemented in stk::Moog.

The documentation for this class was generated from the following file:

- Sampler.h

The Synthesis ToolKit in C++ (STK)
©1995-2012 Perry R. Cook and Gary P. Scavone. All Rights Reserved.